View Issue Details

IDProjectCategoryView StatusLast Update
13913Bug reports[All Projects] Survey editingpublic2018-09-26 17:28
ReporterTonisOrmisson Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.13.x 
Target VersionFixed in Version 
Summary13913: Some replacementfieds not accessible in help-text
Description

See attached survey

Some replacement fields are not accessible from survey help text
eg {SGQ} {QID} {GID}

if any of the replacement fields are also triggered in question text - then they also will appear in help text. If ONLY in help text, then they are missing

Steps To Reproduce

import example survey

open survey with token "test-token"

see question help text with missing data

TagsNo tags attached.
Complete LimeSurvey version number (& build) 3.13.2
I will donate to the project if issue is resolvedNo
BrowserFF 61
Database & DB-Versionn/a
Server OS (if known)n/a
Webserver software & version (if known)n/a
PHP Versionn/a

Relationships

related to 13925 feedbackLouisGac Unable to use QID SGQ … in validation equation tip 

Activities

TonisOrmisson

TonisOrmisson

2018-07-27 10:11

developer  

survey_archive_471855.lsa (3,711 bytes)
LouisGac

LouisGac

2018-07-30 17:44

manager   ~48618

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27725

markusfluer

markusfluer

2018-08-07 17:01

administrator   ~48698

Release 3.14.2+180807

user70560

2018-09-26 17:28

  ~49148

Fix committed to develop branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28033

Related Changesets

LimeSurvey: master cec80158

2018-07-30 17:44:13

LouisGac

Details Diff
Fixed issue 13913: Some replacementfieds not accessible in help-text Affected Issues
13913
mod - application/helpers/SurveyRuntimeHelper.php Diff File

LimeSurvey: develop 9c055e54

2018-09-26 17:28:38

user70560


Committer: GitHub Details Diff
Fixed issue 13001: EM evaluates free text answers enclosed by "{ }"

Dev: Fixed issue 13913: Some replacementfieds not accessible in help-text
Fixed issue 14047: Equation didn't update previous text
Affected Issues
13001, 13913, 14047
mod - application/helpers/SurveyRuntimeHelper.php Diff File
mod - application/helpers/expressions/em_manager_helper.php Diff File
mod - application/helpers/qanda_helper.php Diff File
mod - application/views/survey/questions/answer/arrays/10point/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/arrays/10point/rows/cells/answer_td_input.twig Diff File
mod - application/views/survey/questions/answer/arrays/5point/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/arrays/5point/rows/cells/answer_td_answertext.twig Diff File
mod - application/views/survey/questions/answer/arrays/5point/rows/cells/answer_td_input.twig Diff File
mod - application/views/survey/questions/answer/arrays/array/dropdown/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/arrays/array/no_dropdown/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/arrays/array/no_dropdown/rows/cells/answer_td.twig Diff File
mod - application/views/survey/questions/answer/arrays/column/answer.twig Diff File
mod - application/views/survey/questions/answer/arrays/dualscale/answer.twig Diff File
mod - application/views/survey/questions/answer/arrays/dualscale/answer_dropdown.twig Diff File
mod - application/views/survey/questions/answer/arrays/dualscale/answer_header.twig Diff File
mod - application/views/survey/questions/answer/arrays/increasesamedecrease/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/arrays/multiflexi/answer.twig Diff File
mod - application/views/survey/questions/answer/arrays/multiflexi/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/arrays/multiflexi/rows/cells/answer_td.twig Diff File
mod - application/views/survey/questions/answer/arrays/multiflexi/rows/cells/answer_td_checkboxes.twig Diff File
mod - application/views/survey/questions/answer/arrays/multiflexi/rows/repeat_header.twig Diff File
mod - application/views/survey/questions/answer/arrays/texts/answer.twig Diff File
mod - application/views/survey/questions/answer/arrays/texts/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/arrays/texts/rows/cells/answer_td.twig Diff File
mod - application/views/survey/questions/answer/arrays/texts/rows/repeat_header.twig Diff File
mod - application/views/survey/questions/answer/arrays/yesnouncertain/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/date/selector/answer.twig Diff File
mod - application/views/survey/questions/answer/equation/answer.twig Diff File
mod - application/views/survey/questions/answer/file_upload/answer.twig Diff File
mod - application/views/survey/questions/answer/global/table/cell/head_header.twig Diff File
mod - application/views/survey/questions/answer/global/table/cell/head_information.twig Diff File
mod - application/views/survey/questions/answer/list_dropdown/rows/optgroup.twig Diff File
mod - application/views/survey/questions/answer/list_dropdown/rows/option.twig Diff File
mod - application/views/survey/questions/answer/list_dropdown/rows/othertext.twig Diff File
mod - application/views/survey/questions/answer/list_with_comment/dropdown/answer.twig Diff File
mod - application/views/survey/questions/answer/list_with_comment/dropdown/rows/option.twig Diff File
mod - application/views/survey/questions/answer/list_with_comment/list/answer.twig Diff File
mod - application/views/survey/questions/answer/list_with_comment/list/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/listradio/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/listradio/rows/answer_row_other.twig Diff File
mod - application/views/survey/questions/answer/multiplechoice/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/multiplechoice/rows/answer_row_other.twig Diff File
mod - application/views/survey/questions/answer/multiplechoice_with_comments/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/multiplechoice_with_comments/rows/answer_row_other.twig Diff File
mod - application/views/survey/questions/answer/multiplenumeric/rows/dynamic.twig Diff File
mod - application/views/survey/questions/answer/multiplenumeric/rows/dynamic_slider.twig Diff File
mod - application/views/survey/questions/answer/multiplenumeric/rows/input/answer_row.twig Diff File
mod - application/views/survey/questions/answer/multiplenumeric/rows/sliders/answer_row.twig Diff File
mod - application/views/survey/questions/answer/multipleshorttext/rows/answer_row_inputtext.twig Diff File
mod - application/views/survey/questions/answer/multipleshorttext/rows/answer_row_textarea.twig Diff File
mod - application/views/survey/questions/answer/numerical/answer.twig Diff File
mod - application/views/survey/questions/answer/ranking/answer.twig Diff File
mod - application/views/survey/questions/answer/ranking/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/shortfreetext/text/item.twig Diff File
mod - application/views/survey/questions/answer/shortfreetext/textarea/item.twig Diff File
mod - assets/packages/expressions/em_javascript.js Diff File
mod - tests/data/surveys/limesurvey_survey_351443.lss Diff File

Issue History

Date Modified Username Field Change
2018-07-27 10:11 TonisOrmisson New Issue
2018-07-27 10:11 TonisOrmisson File Added: survey_archive_471855.lsa
2018-07-30 17:44 LouisGac Changeset attached => LimeSurvey master cec80158
2018-07-30 17:44 LouisGac Note Added: 48618
2018-07-30 17:44 LouisGac Assigned To => LouisGac
2018-07-30 17:44 LouisGac Resolution open => fixed
2018-07-30 17:46 LouisGac Status new => resolved
2018-08-01 10:23 DenisChenu Relationship added related to 13925
2018-08-07 17:01 markusfluer Status resolved => closed
2018-08-07 17:01 markusfluer Note Added: 48698
2018-09-26 17:28 user70560 Changeset attached => LimeSurvey develop 9c055e54
2018-09-26 17:28 user70560 Note Added: 49148
2018-09-26 17:28 user70560 Assigned To LouisGac => user70560
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing